package plp.expressions1.expression;

import plp.expressions1.util.Tipo;

public class ExpOrdem extends ExpUnaria {

	public ExpOrdem(Expressao exp) {
		super(exp, "ordem");
	}

	@Override
	protected boolean checaTipoElementoTerminal() {
		return getExp().getTipo().eChar();
	}

	public Valor avaliar() {
		char c = ((ValorChar) getExp().avaliar()).valor().charValue(); 
		return new ValorInteiro(Character.valueOf(c));
	}

	public Tipo getTipo() {
		return Tipo.TIPO_INTEIRO;
	}


}
