package plp.orientadaObjetos1.expressao.leftExpression;

import plp.orientadaObjetos1.expressao.Expressao;
/**
 * Classe que representa um acesso de atributo.
 */
public abstract class AcessoAtributo implements LeftExpression{

    /**
     * Identificador.
     */
    private Id id;
    /**
     * Construtor
     * @param id Identificador
     */
    public AcessoAtributo(Id id) {
        this.id = id;
    }
    /**
     * Obtm o identificador.
     * @return o identificador.
     */
    public Id getId(){
        return id;
    }
    /**
     * Obtm uma expressao
     * @return uma expresso.
     */
    public abstract Expressao getExpressaoObjeto();
}