package plp.orientadaObjetos1.expressao.leftExpression;

import plp.orientadaObjetos1.expressao.Expressao;
import plp.orientadaObjetos1.expressao.leftExpression.Id;
/**
 * Representa uma expresso que fica do lado esquerdo de uma atribuio ou
 * antes de uma chamada de mtodo.
 */
public interface LeftExpression extends Expressao{
    /**
     * Obtm o identificador dessa expressao.
     * @return o identificador dessa expressao. No caso de um acesso de atributo,
     *  o prprio atributo acessado. No caso de um Id,  ele mesmo.
     */
    abstract public Id getId();
}