package plp.imperative2.declaration;

import plp.imperative1.command.Comando;

/**
 * Uma definiao de procedimento  uma declaraao de comando e parametrosFormais
 * uma declarao de procedimento.
 */
public class DefProcedimento {

	/**
	 * Declarao dos parametrosFormais
	 */
	private ListaDeclaracaoParametro parametrosFormais;

	/**
	 * Declaraao de Comando
	 */
	private Comando comando;

	/**
	 * Construtor
	 * 
	 * @param parametrosFormais
	 *            Declarao de ListaDeclaracaoParametro
	 * @param comando
	 *            Declaraao de Comando.
	 */
	public DefProcedimento(ListaDeclaracaoParametro parametrosFormais,
			Comando comando) {
		this.parametrosFormais = parametrosFormais;
		this.comando = comando;
	}

	/**
	 * Obtm o comando do Procedimento.
	 * 
	 * @return o comando
	 */
	public Comando getComando() {
		return comando;
	}

	/**
	 * Obtm os parametrosFormais do Procedimento.
	 * 
	 * @return a ListaDeclaracaoParametro
	 */
	public ListaDeclaracaoParametro getParametrosFormais() {
		return parametrosFormais;
	}

}
