package plp.orientadaObjetos1.comando;

import plp.orientadaObjetos1.memoria.AmbienteExecucaoOO1;
import plp.orientadaObjetos1.memoria.AmbienteCompilacaoOO1;

public class Skip implements Comando{

    /**
     * No realiza nenhuma alterao no ambiente.
     * @param ambiente o ambiente de execuo.
     * @return o ambiente inalterado.
     */
    public AmbienteExecucaoOO1 executar(AmbienteExecucaoOO1 ambiente) {
        return ambiente;
    }

    /**
     * Realiza a verificacao de tipos do comando
     * @param ambiente o ambiente de compilao.
     * @return <code>true</code> se o comando  bem tipado;
     *          <code>false</code> caso contrario. 
     */
    public boolean checaTipo(AmbienteCompilacaoOO1 ambiente) {
        return true;
    }
}
