package plp.orientadaObjetos1.excecao.declaracao;

import plp.expressions2.expression.Id;


/**
 * Exceo lanada quando a classe que est sendo declarada, j o foi
 * anteriormente.
 */
public class ElementoJaDeclaradoException extends Exception {
    /**
     * Construtor
     * @param id Identificador representando a classe.
     */
    public ElementoJaDeclaradoException(Id id) {
        super("Classe " + id + " j declarada.");
    }
}
