package plp.orientadaObjetos1.excecao.declaracao;

import plp.expressions2.expression.Id;


/**
 * Exceo lanada quando uma classe que est sendo referenciada
 * no foi declarada anteriormente.
 */
public class ElementoNaoDeclaradoException extends Exception {
    /**
     * Construtor
     * @param id Identificador representando a classe.
     */
    public ElementoNaoDeclaradoException(Id id) {
        super("Classe " + id + " no declarada.");
    }
}