package plp.orientadaObjetos1.excecao.declaracao;

import plp.expressions2.expression.Id;


/**
 * Exceo lanada quando o objeto que est sendo referenciado no
 * foi declarado.
 */
public class ObjetoNaoDeclaradoException extends Exception {
    /**
     * Construtor.
     * @param id Identificador representando o objeto.
     */
    public ObjetoNaoDeclaradoException(Id id) {
        super("Objeto " + id + " no declarado.");
    }
}