package plp.orientadaObjetos1.excecao.declaracao;

import plp.expressions2.expression.Id;


/**
 * Exceao lanada quando um procedimento que est sendo referenciado
 * no foi declarado.
 */
public class ProcedimentoNaoDeclaradoException extends Exception {
    /**
     * Construtor
     * @param id Identificador representando o procedimento.
     */
    public ProcedimentoNaoDeclaradoException(Id id) {
        super("Procedimento " + id + " nao declarado.");
    }
}
